<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus FTP Client API</title>
    <filename>main</filename>
    <docanchor file="main">globus_ftp_client_api</docanchor>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_activation</name>
    <title>Activation</title>
    <filename>group__globus__ftp__client__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_MODULE</name>
      <anchorfile>group__globus__ftp__client__activation.html</anchorfile>
      <anchor>gfad292f70aeba0451e27a6c1cdf5a831</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_marker</name>
    <title>Restart Markers</title>
    <filename>group__globus__ftp__client__restart__marker.html</filename>
    <class kind="union">globus_ftp_client_restart_marker_t</class>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_init</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g8dd8fe0ed3573611fdb06ed56c3c0061</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_copy</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>geb89ef456f67c2b9db1572bd9ff9b060</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *new_marker, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_destroy</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g9653b27ec8c1dde82022730848443778</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_insert_range</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g72a27b2f70d6c9346b8f98fcfabe3c94</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset, globus_off_t end_offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_set_ascii_offset</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g640155556c6ab6d4a438c5771e824153</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset, globus_off_t ascii_offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_set_offset</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g7e918848837403b0025f8b4fdfa6284b</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_get_total</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>gffcfb3c4cddefde22124117faae51043</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t *total_bytes)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_to_string</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g74376b80855292e81bca5d4b85cb2664</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, char **marker_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_from_string</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g1815b87c414845789ff2c54efa71a77c</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, const char *marker_string)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_handle</name>
    <title>Handle Management</title>
    <filename>group__globus__ftp__client__handle.html</filename>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_handle_t *</type>
      <name>globus_ftp_client_handle_t</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>g9d8a98c88d529ab539c2fedee545f172</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_handleattr</name>
    <title>Handle Attributes</title>
    <filename>group__globus__ftp__client__handleattr.html</filename>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_handleattr_t *</type>
      <name>globus_ftp_client_handleattr_t</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gb4a1b9fd7b91ba74a5beb576ac3e307d</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_operations</name>
    <title>FTP Operations</title>
    <filename>group__globus__ftp__client__operations.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_complete_callback_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g395e0e9dbb22bf3d4c81223b58f2b749</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_features_s *</type>
      <name>globus_ftp_client_features_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g7c3c6c7e81300251f055ee783d105bdc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_tristate_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ge52d1000b926bae6436d61aeeaf68803</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_probed_feature_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g51ebf6e3cc1c40e87193b8416cbf19dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_machine_list</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g851bdcb0bca0928ba69af638d9e8802d</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_operationattr</name>
    <title>FTP Operation Attributes</title>
    <filename>group__globus__ftp__client__operationattr.html</filename>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_operationattr_t *</type>
      <name>globus_ftp_client_operationattr_t</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g71207b29c31268b27e52b4cbd6d71224</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_init</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g58c557691a517df8f518fbb2f87c20cb</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_destroy</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g37233249167d613abc67ad9479d2d865</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_delayed_pasv</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g1af578d3be505a90222c51f717679d5a</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t delayed_pasv)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_copy</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gc0bd3a26ef1ed82c9f73cead191a036e</anchor>
      <arglist>(globus_ftp_client_operationattr_t *dst, const globus_ftp_client_operationattr_t *src)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_data</name>
    <title>Reading and Writing Data</title>
    <filename>group__globus__ftp__client__data.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_data_callback_t</name>
      <anchorfile>group__globus__ftp__client__data.html</anchorfile>
      <anchor>ge67f55dd87feea379ae4726fcd116a08</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_register_read</name>
      <anchorfile>group__globus__ftp__client__data.html</anchorfile>
      <anchor>g806808e7efb4cffad9e6d932751975c3</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_byte_t *buffer, globus_size_t buffer_length, globus_ftp_client_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_register_write</name>
      <anchorfile>group__globus__ftp__client__data.html</anchorfile>
      <anchor>gc3ff58b56d3cbd945381c5b9f9f0f3a5</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_byte_t *buffer, globus_size_t buffer_length, globus_off_t offset, globus_bool_t eof, globus_ftp_client_data_callback_t callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_debug_plugin</name>
    <title>Debugging Plugin</title>
    <filename>group__globus__ftp__client__debug__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_DEBUG_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__debug__plugin.html</anchorfile>
      <anchor>gc08270f82c3709f701f7772b9ab16c33</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_debug_plugin_init</name>
      <anchorfile>group__globus__ftp__client__debug__plugin.html</anchorfile>
      <anchor>g0e9a937acc1cf4b22a67206722e287da</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, FILE *stream, const char *text)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_debug_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__debug__plugin.html</anchorfile>
      <anchor>g1e4b52a42862184289a1f12a8104732d</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_perf_plugin</name>
    <title>Performance Marker Plugin</title>
    <filename>group__globus__ftp__client__perf__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_PERF_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g21e20d3507191cd32efdf13d2f62edf8</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_begin_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g6dfe3b17ecad5b7284c0bc41e114d022</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_marker_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g3c067bc859ba1fbb53e6d967dda59df9</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, long time_stamp_int, char time_stamp_tength, int stripe_ndx, int num_stripes, globus_off_t nbytes)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_complete_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gac3f89baa125c2166313b5966169aff2</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_bool_t success)</arglist>
    </member>
    <member kind="typedef">
      <type>void *(*</type>
      <name>globus_ftp_client_perf_plugin_user_copy_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g74df3c43dee4951b78391f23159de4a0</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_user_destroy_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g4d137114fbb91030637fcde510428bac</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_init</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>ga4c215adf3098bf032db14c3a706c27a</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_perf_plugin_begin_cb_t begin_cb, globus_ftp_client_perf_plugin_marker_cb_t marker_cb, globus_ftp_client_perf_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_set_copy_destroy</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g57716b79e47fcf74db1cc3fbd426b133</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_perf_plugin_user_copy_cb_t copy_cb, globus_ftp_client_perf_plugin_user_destroy_cb_t destroy_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gcc35c67efb45dea8f5dd2e7307039b25</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_get_user_specific</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gd9445ba594953a0dfb8a12a8148b069d</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, void **user_specific)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_plugins</name>
    <title>Plugins</title>
    <filename>group__globus__ftp__client__plugins.html</filename>
    <subgroup>globus_ftp_client_debug_plugin</subgroup>
    <subgroup>globus_ftp_client_perf_plugin</subgroup>
    <subgroup>globus_ftp_client_restart_marker_plugin</subgroup>
    <subgroup>globus_ftp_client_restart_plugin</subgroup>
    <subgroup>globus_ftp_client_throughput_nl_plugin</subgroup>
    <subgroup>globus_ftp_client_throughput_plugin</subgroup>
    <member kind="typedef">
      <type>struct globus_i_ftp_client_plugin_t *</type>
      <name>globus_ftp_client_plugin_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gfd650bbeee4bf50b94275d89352697dc</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_client_plugin_t *(*</type>
      <name>globus_ftp_client_plugin_copy_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga1063f0ada2846eed3e7c209c467b333</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin_template, void *plugin_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_destroy_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g12bd0b713a48c1a90a8b432e7710fd14</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_connect_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g2ffad2a5069aaf467d0caf534d46da78</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_authenticate_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gf52ec4aacee7cd1e10ff5a061f9c39a3</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_control_auth_info_t *auth_info)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_chmod_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gb3aa529572c947577798fafbc62347bb</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, int mode, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_cksm_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ge8b05da04bb0f1daf1c02571b121e9b0</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_off_t offset, globus_off_t length, const char *algorithm, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_delete_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga4ef12657374f961eccfef2603082360</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_feat_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gdee692c1aa851711b0033b65c04ad3c4</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_mkdir_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g910b99bed09d89af8635789f1f61aa2d</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_rmdir_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ge4c51c05bc88d6d2e82720b671a555d2</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_list_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g68008b0f0e7f0e860b7b88827ba8c5eb</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_verbose_list_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gfbdacf5114a4bba0e8bfbed83e4f5c8e</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_machine_list_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga79eca258a887e8a3e22ff10a3493e65</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_mlst_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g0d0cbaa306af4eab54839403d2c8c3a9</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_stat_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g641bfd78a9fb19a17788e3ff70d3b62d</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_move_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga825b62035e2a9e7a82a084dcd28042f</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_get_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gd05f08b66c61667b72f4e44727452c4b</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_put_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g2f9ee1d87d1874300ffdda8cf20ecc82</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_third_party_transfer_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gbcbfe1e197253b633181a4a2b227548d</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *source_url, const globus_ftp_client_operationattr_t *source_attr, const char *dest_url, const globus_ftp_client_operationattr_t *dest_attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_modification_time_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g8b3f1cc76e5dc8102c6c4650d5394938</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_size_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g02e7a387de4956d334d5b523fe0bc645</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_abort_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gd503123448bbc72918b8c45d4b1bf670</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_read_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g8fdb9944984d00ac533c2265c81268d3</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const globus_byte_t *buffer, globus_size_t buffer_length)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_write_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g9145e67235ecb6f9a47571a8460d84a0</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const globus_byte_t *buffer, globus_size_t buffer_length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_data_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga75bb52aabbdc1dc2a4d262aa23cc8fc</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, globus_object_t *error, const globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_command_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ge68f94b07e743807c7046dd8e27737e4</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const char *command)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_response_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g74af8f8ef0dad0ed0b590809c3c867e9</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_object_t *error, const globus_ftp_control_response_t *ftp_response)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_fault_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g0cfe4a2c876054e7e87f19dac25e6c45</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_complete_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g69c5c6996793f08a00aec1d0a459d489</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_plugin_command_mask_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g3a2339a2213742216f3ebb3b1a38c219</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_CONTROL_ESTABLISHMENT</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gg3a2339a2213742216f3ebb3b1a38c2196c6e590465519f7204237b865817dad1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_DATA_ESTABLISHMENT</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gg3a2339a2213742216f3ebb3b1a38c21925f583eeccf4ee671a158176df5d1b6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_TRANSFER_PARAMETERS</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gg3a2339a2213742216f3ebb3b1a38c21943a85f9d26ee85bd52765829ac0f4d69</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_TRANSFER_MODIFIERS</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gg3a2339a2213742216f3ebb3b1a38c2190bd20495afc23eef8d56feffd24c501f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_FILE_ACTIONS</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gg3a2339a2213742216f3ebb3b1a38c219fa4dda7dad9bd75aa17b6d0c4e919c42</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_INFORMATION</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gg3a2339a2213742216f3ebb3b1a38c219802c5efa7044030b81aa6b8748347c0d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_MISC</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gg3a2339a2213742216f3ebb3b1a38c2196afecdef13d4c06f913de440f2fc2675</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_BUFFER</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gg3a2339a2213742216f3ebb3b1a38c2190657e551fad686734548558da125dfa5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_ALL</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gg3a2339a2213742216f3ebb3b1a38c21973a57d6f2268824be2e307763f66a9aa</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_list</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ge21f20896af8d597bc35b21595a3c16c</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_verbose_list</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gd4fc65cc942f2ac143593ba186e1063a</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_machine_list</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g43872fdeb583852ddbc3adc5b9b43847</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_mlst</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gd5e503ca6acdc8edb37188e695508012</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_stat</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g487afdb2b11d28e8bf4ac69ffaf6c60f</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_chmod</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g10cb791dbdaae77957f5088bcb766c12</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, int mode, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_cksm</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gb30060d5eb1fa376659bd95dcffb4b19</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_off_t offset, globus_off_t length, const char *algorithm, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_delete</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g11863668a2368ebde4841cae3afb05e2</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_feat</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gad1c1fdf45f31a640360ff08e348127d</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_mkdir</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gedf21d52e71ce4ac902bdcd4ec2494d2</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_rmdir</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gcb764084f0039e86cf320c07a278c83d</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_move</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gec071567e01d0f461e72eec41ba97d4b</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_get</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g92053dba220bb6fafbe6e6170308fc49</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_put</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gadbd94770f855309efe78ec046b2eb37</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_third_party_transfer</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g87338d1c3c3b50a5c2d4175bf0b5921c</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, const globus_ftp_client_operationattr_t *source_attr, const char *dest_url, const globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_size</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gd24eb13a34cab39e0c50d165a8ea14cd</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_modification_time</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g034eeab9c443fd3e62df62ea54f6a49e</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_get_marker</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g7c913431569954260ea71511e8df12dc</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_abort</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g2204d0cb34ea58c02d8e32c7671ef340</anchor>
      <arglist>(globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_add_data_channels</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gd67868bf042e014d59ea00fd22938a66</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, unsigned int num_channels, unsigned int stripe)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_remove_data_channels</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g197238252edb48664d9d7eb0b9e9b018</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, unsigned int num_channels, unsigned int stripe)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_marker_plugin</name>
    <title>Restart Marker Plugin</title>
    <filename>group__globus__ftp__client__restart__marker__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_RESTART_MARKER_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>g70fd7e1b5ed78acae579dd310c20f76c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_bool_t(*</type>
      <name>globus_ftp_client_restart_marker_plugin_begin_cb_t</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>ga670bf1c236a92a4f75bef894c008923</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, globus_ftp_client_restart_marker_t *user_saved_marker)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_restart_marker_plugin_marker_cb_t</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>g02e6bd3db90bb04b810f7bce986bb3bb</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_restart_marker_plugin_complete_cb_t</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>g46cf2cf0f044fd5bd506302303102121</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, const char *error_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_plugin_init</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>g309a9c60e81dcaa9fef3ad8850fdce6c</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_restart_marker_plugin_begin_cb_t begin_cb, globus_ftp_client_restart_marker_plugin_marker_cb_t marker_cb, globus_ftp_client_restart_marker_plugin_complete_cb_t complete_cb, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>gac93d2ca16d99bb903fef19434c37289</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_plugin</name>
    <title>Restart Plugin</title>
    <filename>group__globus__ftp__client__restart__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_RESTART_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__restart__plugin.html</anchorfile>
      <anchor>g65c8a2548f1e4f4b004fcc58fbf7f87e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_plugin_init</name>
      <anchorfile>group__globus__ftp__client__restart__plugin.html</anchorfile>
      <anchor>g2cfaf89ff36efe17ee30906e03347fc2</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, int max_retries, globus_reltime_t *interval, globus_abstime_t *deadline)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__restart__plugin.html</anchorfile>
      <anchor>g50051ce7d4bfcb484f92a7a3c7ac3974</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_throughput_nl_plugin</name>
    <title>Netlogger Throughput Plugin</title>
    <filename>group__globus__ftp__client__throughput__nl__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_THROUGHPUT_NL_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>g3b6e9de75bb2ecd40ed0a66f3865e3eb</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_init</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>g2d41e7507ae4865762d1823255fc5d5c</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, const char *nl_url, const char *prog_name, const char *opaque_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_init_with_handle</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>gcb6c8cd12bdbb43336f0b05ad799786b</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, NLhandle *nl_handle, const char *opaque_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>g1d80a39d6144c5f11e566f2a14509a9d</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_set_callbacks</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>g2b1685629fccd0a4480e8ee6eba1c8bc</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_throughput_plugin</name>
    <title>Throughput Performance Plugin</title>
    <filename>group__globus__ftp__client__throughput__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_THROUGHPUT_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gbd79a3f5b7051bb6b4bee0d8d062d716</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_begin_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g635fcdcd8bc88682f974b6258665fa77</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_stripe_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gd3378988c81b09b07a56be73b81d7e39</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, int stripe_ndx, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_total_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g94697ba39253977f5edc0f616baa3f07</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_complete_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g41213a4cc3331fdd9ae607ecaeb35122</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_bool_t success)</arglist>
    </member>
    <member kind="typedef">
      <type>void *(*</type>
      <name>globus_ftp_client_throughput_plugin_user_copy_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gee0d6a6086190474c8c752eeb5f58448</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_user_destroy_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gf580100a8038cf8e54e15f8b5d484a7b</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_init</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g4c141499bfd91a76758fa558e6328a7e</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_set_copy_destroy</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g2bac7cad7c25297659548216b1d547d2</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_user_copy_cb_t copy_cb, globus_ftp_client_throughput_plugin_user_destroy_cb_t destroy_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gc1041b36437cb1401cf0e65c71246d84</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_get_user_specific</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gf384442919d57f1420a29ec72fe3fc09</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, void **user_specific)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_client_restart_extended_block_t</name>
    <filename>structglobus__ftp__client__restart__extended__block__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_client_restart_marker_t</name>
    <filename>unionglobus__ftp__client__restart__marker__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_client_restart_stream_t</name>
    <filename>structglobus__ftp__client__restart__stream__t.html</filename>
  </compound>
</tagfile>
